Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.filter.authorization
Class R01FResourceAuthorization

    java.lang.Object
      com.ejie.r01f.servlet.filter.authorization.R01FResourceAuthorization

All Implemented Interfaces:
  java.io.Serializable

public class R01FResourceAuthorization
extends java.lang.Object
implements java.io.Serializable

Autorizacion sobre un recurso

See Also:
  Serialized Form

Field Summary
`StringBilingue` | `name`
`java.lang.String` | `oid`
`R01FProfileCtx` | `profile`
`java.lang.String[]` | `whatFor`

Constructor Summary
`R01FResourceAuthorization(java.lang.String newOid, java.lang.String newNameES, java.lang.String newNameEU, java.lang.String[] newWhatFor, R01FProfileCtx newProfile)` Constructor

Method Summary
`StringBilingue` | `getName()` Devuelve el nombre de la autorizacion
`java.lang.String` | `getOID()` Devuelve el oid del perfil
`R01FProfileCtx` | `getProfile()` Devuelve el perfil asociado con la autorizacion
`java.lang.String[]` | `getWhatFor()` Devuelve para que se puede utilizar la autorizacion
`boolean` | `isValid()` Comprueba si el objeto es valido

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### oid

    public java.lang.String oid

### name

    public StringBilingue name

### whatFor

    public java.lang.String[] whatFor

### profile

    public R01FProfileCtx profile

Constructor Detail

### R01FResourceAuthorization

    public R01FResourceAuthorization(java.lang.String newOid,
                                     java.lang.String newNameES,
                                     java.lang.String newNameEU,
                                     java.lang.String[] newWhatFor,
                                     R01FProfileCtx newProfile)

  Constructor

Parameters:
  `newOid` -
  `newNameES` -
  `newNameEU` -
  `newWhatFor` -
  `newProfile` -

Method Detail

### getOID

    public java.lang.String getOID()

  Devuelve el oid del perfil

  Returns:
    El oid del perfil

### getName

    public StringBilingue getName()

  Devuelve el nombre de la autorizacion

  Returns:
    El nombre en euskera y castellano

### getWhatFor

    public java.lang.String[] getWhatFor()

  Devuelve para que se puede utilizar la autorizacion

  Returns:
    Un array de cadenas con un texto identificador del uso de la autorizacion

### getProfile

    public R01FProfileCtx getProfile()

  Devuelve el perfil asociado con la autorizacion

  Returns:
    Un objeto R01FProfileCtx con el perfil asociado

### isValid

    public boolean isValid()

  Comprueba si el objeto es valido

  Returns:
    true si el objeto es valido y false si no es asín

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD